## AgsNoiseUtil

AgsNoiseUtil — noise util

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_NOISE_UTIL_RESET()
#define | AGS_NOISE_UTIL_GET_UNSCALED_VALUE()
#define | AGS_NOISE_UTIL_GET_VALUE()
AgsNoiseUtil * | ags_noise_util_alloc ()
gpointer | ags_noise_util_copy ()
void | ags_noise_util_free ()
gpointer | ags_noise_util_get_source ()
void | ags_noise_util_set_source ()
guint | ags_noise_util_get_source_stride ()
void | ags_noise_util_set_source_stride ()
gpointer | ags_noise_util_get_destination ()
void | ags_noise_util_set_destination ()
guint | ags_noise_util_get_destination_stride ()
void | ags_noise_util_set_destination_stride ()
guint | ags_noise_util_get_buffer_length ()
void | ags_noise_util_set_buffer_length ()
AgsSoundcardFormat | ags_noise_util_get_format ()
void | ags_noise_util_set_format ()
guint | ags_noise_util_get_samplerate ()
void | ags_noise_util_set_samplerate ()
gdouble | ags_noise_util_get_volume ()
void | ags_noise_util_set_volume ()
gdouble | ags_noise_util_get_frequency ()
void | ags_noise_util_set_frequency ()
guint | ags_noise_util_get_frame_count ()
void | ags_noise_util_set_frame_count ()
guint | ags_noise_util_get_offset ()
void | ags_noise_util_set_offset ()
gboolean | ags_noise_util_get_note_256th_mode ()
void | ags_noise_util_set_note_256th_mode ()
guint | ags_noise_util_get_offset_256th ()
void | ags_noise_util_set_offset_256th ()
void | ags_noise_util_compute_s8 ()
void | ags_noise_util_compute_s16 ()
void | ags_noise_util_compute_s24 ()
void | ags_noise_util_compute_s32 ()
void | ags_noise_util_compute_s64 ()
void | ags_noise_util_compute_float ()
void | ags_noise_util_compute_double ()
void | ags_noise_util_compute_complex ()
void | ags_noise_util_compute ()

## Types and Values

#define | AGS_NOISE_UTIL_DEFAULT_FREQUENCY
#define | AGS_NOISE_UTIL_INITIALIZER
enum | AgsNoiseuUtilMode

## Object Hierarchy

        GBoxed
        ╰── AgsNoiseUtil

## Includes

    #include <ags/audio/ags_noise_util.h>

## Description

Utility functions to compute noise.

## Functions

### AGS_NOISE_UTIL_RESET()

    #define             AGS_NOISE_UTIL_RESET(noise, ptr_last_value)

### AGS_NOISE_UTIL_GET_UNSCALED_VALUE()

    #define             AGS_NOISE_UTIL_GET_UNSCALED_VALUE(unscaled_value, noise, ptr_counter, ptr_last_value)

### AGS_NOISE_UTIL_GET_VALUE()

    #define             AGS_NOISE_UTIL_GET_VALUE(value, noise, ptr_counter, ptr_last_value)

### ags_noise_util_alloc ()

    AgsNoiseUtil *
    ags_noise_util_alloc ();

Allocate AgsNoiseUtil.

#### Returns

the newly allocated AgsNoiseUtil

Since: 3.15.0

### ags_noise_util_copy ()

    gpointer
    ags_noise_util_copy (AgsNoiseUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsNoiseUtil |

#### Returns

a pointer of the new AgsNoiseUtil

Since: 3.15.0

### ags_noise_util_free ()

    void
    ags_noise_util_free (AgsNoiseUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_get_source ()

    gpointer
    ags_noise_util_get_source (AgsNoiseUtil *noise_util);

Get source buffer of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the source buffer

Since: 3.15.0

### ags_noise_util_set_source ()

    void
    ags_noise_util_set_source (AgsNoiseUtil *noise_util,
                               gpointer source);

Set `source` buffer of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
source | the source buffer. | [transfer none]

Since: 3.15.0

### ags_noise_util_get_source_stride ()

    guint
    ags_noise_util_get_source_stride (AgsNoiseUtil *noise_util);

Get source stride of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the source buffer stride

Since: 3.15.0

### ags_noise_util_set_source_stride ()

    void
    ags_noise_util_set_source_stride (AgsNoiseUtil *noise_util,
                                      guint source_stride);

Set `source` stride of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
source_stride | the source buffer stride |

Since: 3.15.0

### ags_noise_util_get_destination ()

    gpointer
    ags_noise_util_get_destination (AgsNoiseUtil *noise_util);

Get destination buffer of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the destination buffer

Since: 3.15.0

### ags_noise_util_set_destination ()

    void
    ags_noise_util_set_destination (AgsNoiseUtil *noise_util,
                                    gpointer destination);

Set `destination` buffer of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
destination | the destination buffer. | [transfer none]

Since: 3.15.0

### ags_noise_util_get_destination_stride ()

    guint
    ags_noise_util_get_destination_stride (AgsNoiseUtil *noise_util);

Get destination stride of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the destination buffer stride

Since: 3.15.0

### ags_noise_util_set_destination_stride ()

    void
    ags_noise_util_set_destination_stride (AgsNoiseUtil *noise_util,
                                           guint destination_stride);

Set `destination` stride of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
destination_stride | the destination buffer stride |

Since: 3.15.0

### ags_noise_util_get_buffer_length ()

    guint
    ags_noise_util_get_buffer_length (AgsNoiseUtil *noise_util);

Get buffer length of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the buffer length

Since: 3.15.0

### ags_noise_util_set_buffer_length ()

    void
    ags_noise_util_set_buffer_length (AgsNoiseUtil *noise_util,
                                      guint buffer_length);

Set `buffer_length` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
buffer_length | the buffer length |

Since: 3.15.0

### ags_noise_util_get_format ()

    AgsSoundcardFormat
    ags_noise_util_get_format (AgsNoiseUtil *noise_util);

Get format of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the format

Since: 3.15.0

### ags_noise_util_set_format ()

    void
    ags_noise_util_set_format (AgsNoiseUtil *noise_util,
                               AgsSoundcardFormat format);

Set `format` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
format | the format |

Since: 3.15.0

### ags_noise_util_get_samplerate ()

    guint
    ags_noise_util_get_samplerate (AgsNoiseUtil *noise_util);

Get samplerate of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the samplerate

Since: 3.15.0

### ags_noise_util_set_samplerate ()

    void
    ags_noise_util_set_samplerate (AgsNoiseUtil *noise_util,
                                   guint samplerate);

Set `samplerate` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
samplerate | the samplerate |

Since: 3.15.0

### ags_noise_util_get_volume ()

    gdouble
    ags_noise_util_get_volume (AgsNoiseUtil *noise_util);

Get volume of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the volume

Since: 3.15.0

### ags_noise_util_set_volume ()

    void
    ags_noise_util_set_volume (AgsNoiseUtil *noise_util,
                               gdouble volume);

Set `volume` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
volume | the volume |

Since: 3.15.0

### ags_noise_util_get_frequency ()

    gdouble
    ags_noise_util_get_frequency (AgsNoiseUtil *noise_util);

Get frequency of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the frequency

Since: 3.15.0

### ags_noise_util_set_frequency ()

    void
    ags_noise_util_set_frequency (AgsNoiseUtil *noise_util,
                                  gdouble frequency);

Set `frequency` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
frequency | the frequency |

Since: 3.15.0

### ags_noise_util_get_frame_count ()

    guint
    ags_noise_util_get_frame_count (AgsNoiseUtil *noise_util);

Get frame count of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the frame count

Since: 3.15.0

### ags_noise_util_set_frame_count ()

    void
    ags_noise_util_set_frame_count (AgsNoiseUtil *noise_util,
                                    guint frame_count);

Set `frame_count` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
frame_count | the frame count |

Since: 3.15.0

### ags_noise_util_get_offset ()

    guint
    ags_noise_util_get_offset (AgsNoiseUtil *noise_util);

Get offset of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the offset

Since: 3.15.0

### ags_noise_util_set_offset ()

    void
    ags_noise_util_set_offset (AgsNoiseUtil *noise_util,
                               guint offset);

Set `offset` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
offset | the offset |

Since: 3.15.0

### ags_noise_util_get_note_256th_mode ()

    gboolean
    ags_noise_util_get_note_256th_mode (AgsNoiseUtil *noise_util);

Get note 256th mode of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_noise_util_set_note_256th_mode ()

    void
    ags_noise_util_set_note_256th_mode (AgsNoiseUtil *noise_util,
                                        gboolean note_256th_mode);

Set `note_256th_mode` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_noise_util_get_offset_256th ()

    guint
    ags_noise_util_get_offset_256th (AgsNoiseUtil *noise_util);

Get offset as note 256th of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_noise_util_set_offset_256th ()

    void
    ags_noise_util_set_offset_256th (AgsNoiseUtil *noise_util,
                                     guint offset_256th);

Set `offset_256th` of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_noise_util_compute_s8 ()

    void
    ags_noise_util_compute_s8 (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of signed 8 bit data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_s16 ()

    void
    ags_noise_util_compute_s16 (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of signed 16 bit data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_s24 ()

    void
    ags_noise_util_compute_s24 (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of signed 24 bit data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_s32 ()

    void
    ags_noise_util_compute_s32 (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of signed 32 bit data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_s64 ()

    void
    ags_noise_util_compute_s64 (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of signed 64 bit data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_float ()

    void
    ags_noise_util_compute_float (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of floating point data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_double ()

    void
    ags_noise_util_compute_double (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of double precision floating point data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute_complex ()

    void
    ags_noise_util_compute_complex (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` of complex data.

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

### ags_noise_util_compute ()

    void
    ags_noise_util_compute (AgsNoiseUtil *noise_util);

Compute noise of `noise_util` .

#### Parameters

noise_util | the AgsNoiseUtil |

Since: 3.15.0

## Types and Values

### AGS_NOISE_UTIL_DEFAULT_FREQUENCY

    #define AGS_NOISE_UTIL_DEFAULT_FREQUENCY (440.0)

### AGS_NOISE_UTIL_INITIALIZER

    #define             AGS_NOISE_UTIL_INITIALIZER

### enum AgsNoiseuUtilMode

Enum values to specify noise mode.

#### Members

AGS_NOISE_UTIL_WHITE_NOISE | white noise |
AGS_NOISE_UTIL_PINK_NOISE | pink noise |